import { Data } from '../Data';
export class GooutResultData extends Data {
    /**
     * 状态持续时间
     */
    public statusTotalTime:number;
    /**
     * 状态, 0: 失败, 1:已创建, 2:成功
     */
    public status:number;

    /**
     * 
     */
    public desc:string;

    public update(result: any): void {
        if (!result) {
            return;
        }
        super.update(result);
        this.desc = result.desc;
        if(result.data){
            this.statusTotalTime = result.data.statusTotalTime;
            this.status = result.data.status;
        }
    }
}